Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1164414

Summary: Please package gnome-desktop for EPEL7
Product: [Fedora] Fedora EPEL Reporter: Moez Roy <moez.roy>
Component: gnome-desktopAssignee: Yaakov Selkowitz <yselkowi>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: bugzilla, ctubbsii, gwync, mcatanzaro+wrong-account-do-not-cc, michel, moez.roy, orion, yselkowi
Target Milestone: ---Keywords: FutureFeature, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gnome-desktop-2.32.0-17.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-15 21:48:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1177390    

Description Moez Roy 2014-11-15 02:33:31 UTC
Please package gnome-desktop for EPEL7

Comment 1 Moez Roy 2014-11-22 02:16:42 UTC
SCM branch request:

Package Change Request
======================
Package Name: gnome-desktop
New Branches: epel7
Owners: moezroy

Comment 2 Gwyn Ciesla 2014-11-24 13:43:36 UTC
It's called gnome-desktop3 in RHEL7.

Comment 3 Moez Roy 2014-11-24 16:10:11 UTC
(In reply to Jon Ciesla from comment #2)
> It's called gnome-desktop3 in RHEL7.

I changed Banshee's spec to:

BuildRequires: gnome-desktop3-devel

but it did not work.

See: https://koji.fedoraproject.org/koji/taskinfo?taskID=8148251

Comment 4 Gwyn Ciesla 2014-11-24 16:15:01 UTC
I'm not sure, does banshee work with GNOME3?

Comment 5 Orion Poplawski 2014-11-24 16:15:50 UTC
The error has nothing to do with gnome:

+ desktop-file-validate /builddir/build/BUILDROOT/banshee-2.6.2-5.el7.ppc64/usr/share/applications/banshee-audiocd.desktop /builddir/build/BUILDROOT/banshee-2.6.2-5.el7.ppc64/usr/share/applications/banshee-media-player.desktop /builddir/build/BUILDROOT/banshee-2.6.2-5.el7.ppc64/usr/share/applications/banshee.desktop
See "desktop-file-validate --help" for correct usage.

Comment 6 Gwyn Ciesla 2014-11-24 16:19:37 UTC
Then correct the desktop file error, and see if it still won't build against
gnome3.

Comment 7 Orion Poplawski 2014-11-24 16:26:19 UTC
FYI - Filed bug 1167404 for desktop-file-validate not accepting multiple files in EL7.

Comment 8 Jaroslav Reznik 2015-03-03 16:30:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 9 Christopher Tubbs 2016-07-15 21:09:08 UTC
Shouldn't the version be updated to EPEL, rather than point to Fedora 22?

Comment 10 Fedora End Of Life 2016-07-19 12:24:49 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Christopher Tubbs 2016-07-19 18:08:22 UTC
This issue should be re-opened. It is mislabeled for Fedora 22 and automatically closed, but it should be marked for EPEL7.

Comment 12 Christopher Tubbs 2016-08-19 22:53:11 UTC
I see this issue was reopened, but it's still marked for Fedora/rawhide, instead of Fedora EPEL/epel7.

Comment 13 Chris Murphy 2016-08-19 23:33:03 UTC
FYI there is no gnome-desktop component so I'm setting it to gnome-common.

Comment 15 Michael Catanzaro 2016-08-20 00:28:26 UTC
(In reply to Chris Murphy from comment #13)
> FYI there is no gnome-desktop component so I'm setting it to gnome-common.

For future reference: gnome-common is a shell script sourced by old autogen.sh scripts, plus a couple m4 macros; it's obsoleted by autoreconf and autoconf-archive.

Comment 16 Yaakov Selkowitz 2016-08-21 02:09:26 UTC
(In reply to Christopher Tubbs from comment #12)
> I see this issue was reopened, but it's still marked for Fedora/rawhide,
> instead of Fedora EPEL/epel7.

That's because there is no gnome-desktop component in Fedora EPEL for lack of an epel7 branch (the very thing you are asking for).  Therefore, when asking for an EPEL branch for a package already in Fedora, the bug has to be built against the Fedora component.

(In reply to Chris Murphy from comment #14)
> https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> message/IDMLFHCT7JFK2S2OG3GPZ44UEZVJZLO5/

Not a contradiction.  gnome-desktop and gnome-desktop3 are separate packages in Fedora too.

Comment 17 Fedora Update System 2016-08-29 21:53:09 UTC
gnome-desktop-2.32.0-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3e5b4a1b08

Comment 18 Fedora Update System 2016-08-31 13:49:34 UTC
gnome-desktop-2.32.0-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3e5b4a1b08

Comment 19 Fedora Update System 2016-09-15 21:48:12 UTC
gnome-desktop-2.32.0-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.